#' Find marker genes using scran.
#'
#' The wraps the `scran::findMarkers` function.
#'
#' @param sce A SingleCellExperiment object
#' @param pars parameters passed to the function
#'
#' @return A list containing the time of the computation and results of the
#'  method.
#'
run_scran <- function(sce, pars) {

  times <- system.time(
    # TODO: Handle errors.
    # TODO: Replace this with an internal function with further manipulation of
    # the result.
    result <- scran::findMarkers(
      sce,
      test.type = pars$test.type,
      pval.type = pars$pval.type)
  )

  # Get the elapsed time.
  time <- times[[3]]

  list(time = time, result = result, pars = pars)
}


